//***** Sticky Header JS Start Here *****//
window.addEventListener("scroll", function () {
  var header = document.querySelector("header");
  header.classList.toggle("sticky", window.scrollY > 50);
});
//***** Sticky Header JS End Here *****//

// Lazy load JS Start Here

var isloading = true;
function removeLoading() {
  if (isloading) {
    $("head").append(`
            <link rel="stylesheet preload" as="style" href="assets/css/custom.css">`);
    $(".myLazy").each(function () {
      $(this).attr("src", $(this).attr("data-src"));
    });

    isloading = false;
  }
}
$(document).ready(
  setTimeout(() => {
    removeLoading;
  }, 10000)
);
// Lazy load JS End Here

//***** Popup And Flaot Buttons JS Start Here *****//
$(window).ready(function () {
  setTimeout(function () {
    $("#staticBackdrop").modal("show");
  }, 2000);
});
//***** Popup And Flaot Buttons JS End Here *****//


//***** Cutomer Feedback Slider JS Start Here *****//
$('.customer-feedback-slider').slick({
  dots: false,
  arrows: true,
  infinite: true,
  centerMode: true,
  autoplay: false,
  speed: 500,
  centerPadding: "10px",
  slidesToShow: 3,
  slidesToScroll: 1,
  autoplaySpeed: 2000,
  responsive: [
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 992,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 768,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 576,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }

  ]
});
//***** Cutomer Feedback Slider JS End Here *****//



//***** Counter Timer JS Start Here *****//
$.fn.jQuerySimpleCounter = function (options) {
  var settings = $.extend({
    start: 0,
    end: 100,
    easing: 'swing',
    duration: 400,
    complete: '',
    point_tag: 0
  }, options);

  var thisElement = $(this);

  $({ count: settings.start }).animate({ count: settings.end }, {
    duration: settings.duration,
    easing: settings.easing,
    point_tag: settings.point_tag,
    step: function () {

      if (settings.point_tag == 1) {

        var mathCount = parseFloat(this.count).toFixed(1);

      } else {

        var mathCount = Math.ceil(this.count);
      }
      thisElement.text(mathCount);

    },
    complete: settings.complete
  });
};

$('#number1').jQuerySimpleCounter({ end: parseFloat($('#number1').text()), duration: 2000, point_tag: 1 });
$('#number2').jQuerySimpleCounter({ end: parseInt($('#number2').text()), duration: 5000, point_tag: 0 });
$('#number3').jQuerySimpleCounter({ end: parseInt($('#number3').text()), duration: 3000, point_tag: 1 });
$('#number4').jQuerySimpleCounter({ end: parseInt($('#number4').text()), duration: 4000, point_tag: 1 });
$('#number5').jQuerySimpleCounter({ end: parseInt($('#number5').text()), duration: 5000, point_tag: 1 });
//***** Counter Timer JS End Here *****//


//***** Portfolio Slider Js Start Here *****//

var numSlick = 0;
$('.slider-products').each( function() {
  numSlick++;
  $(this).addClass( 'slider-' + numSlick ).slick({
    slidesToShow: 1,
    slidesToScroll: 1,
    autoplay: false,
    speed: 500,
    arrows: false,
    fade: true,
    asNavFor: '.slider-nav.slider-' + numSlick
  });
});

numSlick = 0;
$('.slider-nav').each( function() {
  numSlick++;
  $(this).addClass( 'slider-' + numSlick ).slick({
    vertical: false,
    centerMode: false,
    centerPadding: '0px',
    slidesToShow: 4,
    slidesToScroll: 1,
    asNavFor: '.slider-products.slider-' + numSlick,
    arrow: true,
    focusOnSelect: true,
    responsive: [
      {
        breakpoint: 1024,
        settings: {
          slidesToShow: 4,
         }
      },
      {
        breakpoint: 767,
        settings: {
          slidesToShow: 3,
         }
      },
      {
        breakpoint: 575,
        settings: {
          slidesToShow: 2,
         }
      }
    ]
  });
});


//***** Portfolio Slider Js End Here *****//