<footer class="footer-main-sec">
    <div class="footer-top">
        <div class="container">
            <div class="row">
                <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="row">
                        <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                            <div class="footer-logo-area">
                                <div class="footer-logo">
                                    <img src="assets/images/logo-white.webp" 
                                        alt="logo" class="img-fluid lazyestload myLazy">
                                        <p>Frontline writers shape the ideas for your stories to take a flight. From a well-written manuscript to a story warped in compelling cover, we have got your book covered.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                            <div class="footer-logo-area">
                            <div class="footer-info-area">
                                <h4>Contact Info</h4>
                                <ul>
                                    <li>
                                        <p><i class="fa-light fa-location-dot"></i><?php echo $locAddress; ?>  </p>
                                    </li>
                                    <li><a href="tel:<?php echo $locNumber; ?>"><i class="fa-solid fa-phone"></i>
                                    <?php echo $locNumber; ?></a></li>
                                    <li><a href="mailto: <?php echo $locEmail; ?>"><i class="fa-light fa-envelope-circle-check"></i>
                                    <?php echo $locEmail; ?></a></li>
                                </ul>
                            </div>
                            </div>
                        </div>
                        <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                              <div class="footer-links-area">
                                <h3>Limited Time Offer<span>40% Off</span></h3>
                                <form action="https://leads.infinityprojectmanager.com/brand/frontlinewriters/lead" method="GET">
                                    <input type="hidden" name="brand_name" value="frontlinewriters.com">
                                    <input type="hidden" id="lead_area" name="lead_area" value="https://frontlinewriters.com/lp/Book-illustration//">
                                    <div class="footer-form-list">
                                        <div class="form-group"><input type="text" name="name" placeholder="Your Name" required=""></div>
                                        <div class="form-group"><input type="email" name="email" placeholder="Your Email" required=""></div>
                                        <div class="form-group"><input type="number" name="phone" placeholder="Phone No." required=""></div>
                                        <div class="form-group"><textarea id="message" name="message" placeholder="Enter a brief description about your book" required=""></textarea></div>
                                        <div class="footer-form-group footer-form-group-last"><button class="submit-btn" type="submit">Submit Now</button></div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-bottom">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="footer-copyright">
                        <p>© <?php echo date('Y')?> Front Line Writers - All Rights Reserved</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- PopUp Modal Start Here -->
<?php include "modal/web-modal.php"?>
<!-- PopUp Modal End Here -->

<!-- Side Form Buttons Start Here -->
<!-- Side Form Buttons End Here -->

<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@3.5.6/dist/jquery.fancybox.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"></script>
<script src="assets/js/custom.js"></script>
<script src="assets/js/lazyestload.js"></script>

<script>
var dtm = window.parent.document.createElement('script');
dtm.type = "text/javascript";
dtm.id = 'ze-snippet';
dtm.src = 'https://static.zdassets.com/ekr/snippet.js?key=e633e655-330b-4534-a6cc-16612d19b12c';
var d = window.parent.document.getElementsByTagName('head')[0];
d.appendChild(dtm);
var dtmf = window.parent.document.createElement('script');
dtmf.type = "text/javascript";
dtmf.id = '_adobe_dtm_script_footer_tag';
dtmf.text = '_satellite.pageBottom();';
var bd = window.parent.document.getElementsByTagName('body')[0];
bd.appendChild(dtmf);
window.onload = function() {
    setTimeout(function() {
        setButtonURL();
    }, 3000);
};

function setButtonURL() {
    $zopim.livechat.window.show();
}

function toggleChat() {
    $zopim.livechat.window.show();
}

window.$zopim || function(a, d) {
        var b = $zopim = function(a) {
                b._.push(a)
            },
            c = b.s = a.createElement(d);
        a = a.getElementsByTagName(d)[0];
        b.set = function(a) {
            b.set._.push(a)
        };
        b._ = [];
        b.set._ = [];
        c.async = !0;
        c.setAttribute("charset", "utf-8");
        c.src = "";
        b.t = +new Date;
        c.type = "text/javascript";
        a.parentNode.insertBefore(c, a)
    }
    (document, "script");

$zopim(function() {
    function a(a) {
        1 <= a && $zopim.livechat.window.show()
    }
    $zopim.livechat.setOnUnreadMsgs(a)
});
</script>
<script>
// Chat function
function setButtonURL() {
    $zopim.livechat.window.toggle();
}
</script>
<script>
  $(window).on('load', function() {
        $('#staticBackdrop').modal('show');
    });
</script>
</body>

</html>