<?php
include 'includes/header.php';
$page = 'home';
?>
<main>

    <!-- Banner Main Section Start Here -->
    <section class="banner-main-sec">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                    <div class="banner-main-content" data-aos="fade-right" data-aos-duration="1500">
                        <h6 class="heading-six">FRONTLINE WRITTERS</h6>
                        <h1 class="heading-one">See Your Story Spark Joy With Enchanting Children’s Book Illustrations!
                        </h1>
                        <p>Tellus tristique habitant non orci ante ipsum quis. Donec etiam hac in ultrices sed
                            dictumst.!</p>
                        <div class="website-main-buttons">
                            <button class="popup-btn" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                                Get Started
                            </button>
                            <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">
                                Call Now
                            </a>
                        </div>
                        <div class="banner-brands">
                            <div class="banner-brands-item">
                                <img src="assets/images/loader.gif" data-src="assets/images/brand-logo/image-one.png"
                                    alt="brand" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="banner-brands-item">
                                <img src="assets/images/loader.gif" data-src="assets/images/brand-logo/image-two.png"
                                    alt="brand" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="banner-brands-item">
                                <img src="assets/images/loader.gif" data-src="assets/images/brand-logo/image-three.png"
                                    alt="brand" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="banner-brands-item">
                                <img src="assets/images/loader.gif" data-src="assets/images/brand-logo/image-four.png"
                                    alt="brand" class="img-fluid lazyestload myLazy">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                    <div class="banner-right-content">
                        <div class="ban-right-left-content">
                            <div class="ban-rg-box">
                                <h5 class="heading-five">The Boxcar Children</h5>
                                <p>Egestas leo dui convallis non nisl sit consectetur. Leo egestas mollis.</p>
                                <img src="assets/images/loader.gif"
                                    data-src="assets/images/brand-logo/amazon-kindle.png" alt="icon"
                                    class="lazyestload myLazy">
                            </div>
                            <div class="banner-rg-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/main-banner-book.png"
                                    alt="book" class="lazyestload myLazy">
                            </div>
                        </div>
                        <div class="ban-right-right-content">
                            <div class="ban-rg-box-count">
                                <h5 class="heading-five"><span id="number1"> 4.8</span><i class="fa-solid fa-star"></i>
                                </h5>
                                <p>High-rated</p>
                            </div>
                            <div class="banner-rg-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/main-banner-book-two.png"
                                    alt="book" class="lazyestload myLazy">
                            </div>
                            <div class="ban-rg-box-count">
                                <h5 class="heading-five"><span id="number2">30</span>K+</h5>
                                <p>Books Sold</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Banner Main Section End Here -->

    <!-- Contact Form Flex Section Start Here -->
    <section class="contact-form-wrap">
        <div class="container">
            <div class="row">
                <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="contact-form-flex">
                        <div class="contact-form-head">
                            <h3 class="heading-one">Get In Touch</h3>
                        </div>
                        <form action="https://leads.infinityprojectmanager.com/brand/frontlinewriters/lead"
                            method="GET">
                            <input type="hidden" name="city" value="">
                            <input type="hidden" name="country" value="">
                            <input type="hidden" name="ipaddress" value="">
                            <input type="hidden" name="brand_name" value="frontlinewriters.com">
                            <input type="hidden" id="lead_area" name="lead_area"
                                value="https://frontlinewriters.com/lp/children-book-illustration/">
                            <div class="form-group">
                                <input type="text" name="name" placeholder="Name:" required>
                            </div>
                            <div class="form-group">
                                <input type="email" name="email" placeholder="Email:" required>
                            </div>
                            <div class="form-group">
                                <input type="number" id="countryCode" name="phone" placeholder="Contact:" required>
                            </div>
                            <div class="form-group">
                                <button type="submit" class="submit-btn">Send</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Contact Form Flex Section End Here -->

    <!-- About Section Start Here-->
    <section class="abt-sec-main">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6 col-xxl-6">
                    <div class="abt-sec-main-content">
                        <h6 class="heading-six">Why Frontline Authors</h6>
                        <h2 class="heading-one">Children's Book Illustration Services</h2>
                        <div class="abt-sec-lft-box">
                            <div class="abt-box-content">
                                <h5 class="heading-five">Better Appeal</h5>
                                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minima facilis alias neque
                                    corrupti inventore ullam molestiae ut, cumque sit aspernatur laboriosam voluptatem
                                    dolorem facere? Quo unde laboriosam iure voluptate. Laudantium?</p>
                            </div>
                            <div class="abt-box-content">
                                <h5 class="heading-five">Sell More</h5>
                                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minima facilis alias neque
                                    corrupti inventore ullam molestiae ut, cumque sit aspernatur laboriosam voluptatem
                                    dolorem facere? Quo unde laboriosam iure voluptate. Laudantium?</p>
                            </div>
                            <div class="abt-box-content">
                                <h5 class="heading-five">Affordability</h5>
                                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minima facilis alias neque
                                    corrupti inventore ullam molestiae ut, cumque sit aspernatur laboriosam voluptatem
                                    dolorem facere? Quo unde laboriosam iure voluptate. Laudantium?.</p>
                            </div>
                            <div class="abt-box-content">
                                <h5 class="heading-five">Quick Turnaround</h5>
                                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minima facilis alias neque
                                    corrupti inventore ullam molestiae ut, cumque sit aspernatur laboriosam voluptatem
                                    dolorem facere? Quo unde laboriosam iure voluptate. Laudantium?</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6 col-xxl-6">
                    <div class="abt-sec-rg-main">
                        <img src="assets/images/loader.gif" data-src="assets/images/about-image.png" alt="book"
                            class="img-fluid lazyestload myLazy">
                        <div class="abt-rg-btm-text">
                            <div class="ban-rg-box-count">
                                <h5 class="heading-five"><span id="number2"> 4.8</span><img
                                        src="assets/images/star-icon.png" alt="icon"></h5>
                                <p>High-rated</p>
                            </div>
                            <a href="tel:<?php echo $locNumber; ?>" class="header-btn">
                                <div class="head-icon">
                                    <i class="fa-solid fa-phone"></i>
                                </div>
                                <div class="header-btn-cont">
                                    <span>Need Help?</span>
                                    <h5>Call Us!</h5>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="abt-bottom-flex">
                    <div class="website-main-buttons">
                        <button class="popup-btn" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                            Get More Information
                        </button>
                    </div>
                </div>
            </div>
            <div class="row ">
                <div class="col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                    <div class="arrow"></div>
                </div>
            </div>
        </div>
    </section>
    <!-- About Section End Here -->

    <!-- limitation Section Start Here -->
    <section class="limitation-section">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6 p-0">
                    <div class="limit-sec-img">
                        <img src="assets/images/loader.gif" data-src="assets/images/limitation-sec-image.png"
                            alt="image" class="img-fluid lazyestload myLazy">
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                    <div class="limitation-sec-content">
                        <h3 class="heading-one">Share your exciting ideas with Frontline Writers for the best results.
                        </h3>
                        <p>Tellus tristique habitant non orci ante ipsum quis. Donec etiam hac in ultrices sed dictumst.
                        </p>
                        <div class="arrow"></div>
                        <div class="website-main-buttons">
                            <button class="popup-btn" onclick="<?php echo $locChatClick ;?>">
                                Let's Talk
                            </button>
                            <a href="tel:<?php echo $locNumber; ?>"
                                class="call-button-new"><?php echo $locNumber; ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- limitation Section End Here -->

    <!-- Portfolio Section Start Here -->
    <section class="portfolio-sec-main">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4 col-xxl-4">
                    <div class="portfolio-sec-content">
                        <h6 class="heading-six">Portfolio</h6>
                        <h3 class="heading-one">Some of Our Best Work</h3>
                        <div class="arrow"></div>
                        <div class="website-main-buttons">
                            <button class="popup-btn" onclick="<?php echo $locChatClick ;?>">Let's Talk</button>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-12 col-lg-8 col-xl-8 col-xxl-8">
                    <div class="portfolio-slide-content">
                        <div class="slider slider-products">
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif"
                                        data-src="assets/images/books/fantastic-badtimes.png" alt="book"
                                        class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">New Kid</h3>
                                    <p>orem ipsum dolor sit amet consectetur adipisicing elit. Veniam dolorem commodi
                                        aperiam quaerat rerum. Fugiat tempore aspernatur est nobis, sit, obcaecati</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif" data-src="assets/images/books/hot-stuff.png"
                                        alt="book" class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">New Kid</h3>
                                    <p>orem ipsum dolor sit amet consectetur adipisicing elit. Veniam dolorem commodi
                                        aperiam quaerat rerum. Fugiat tempore aspernatur est nobis, sit, obcaecati.</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif" data-src="assets/images/books/just-in-case.png"
                                        alt="book" class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">New Kid</h3>
                                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam dolorem commodi
                                        aperiam quaerat rerum. Fugiat tempore aspernatur est nobis, sit, obcaecati
                                    </p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif"
                                        data-src="assets/images/books/auntie-promise.png" alt="book"
                                        class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">New Kid</h3>
                                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Amet recusandae commodi
                                        voluptatem, itaque maxime debitis iste saepe nemo nulla quibusdam, obcaecati
                                        voluptatum nesciunt incidunt quas unde dolor, dolores veniam perferendis.</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif"
                                        data-src="assets/images/books/fantastic-badtimes.png" alt="book"
                                        class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">New Kids</h3>
                                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorem, asperiores
                                        voluptatem consequuntur quibusdam illum laborum quisquam. Nulla error, iure odit
                                        molestias, alias minus eveniet perspiciatis blanditiis, eius recusandae nihil
                                        debitis.</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif" data-src="assets/images/books/hot-stuff.png"
                                        alt="book" class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">new kid</h3>
                                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Obcaecati, quibusdam!
                                        Numquam aspernatur, nisi sequi illum porro incidunt voluptatibus tenetur
                                        reprehenderit ipsam, repellat explicabo nostrum asperiores quae, sit hic quod
                                        officiis.</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif" data-src="assets/images/books/just-in-case.png"
                                        alt="book" class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">Just In Case</h3>
                                    <p>A fun, insightful guide for kids dealing with anxiety, offering practical tips
                                        and relatable stories to help manage worries and stress.</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="porfolio-main-content-books">
                                <div class="portfolio-books-img">
                                    <img src="assets/images/loader.gif"
                                        data-src="assets/images/books/auntie-promise.png" alt="book"
                                        class="img-fluid lazyestload myLazy">
                                </div>
                                <div class="portfolio-books-content">
                                    <h3 class="heading-two">Auntie Promise</h3>
                                    <p>An exciting adventure where characters face unexpected challenges, filled with
                                        humor, surprises, and thrilling moments that keep readers hooked from start to
                                        finish.</p>
                                    <div class="portfolio-brand-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/brand-logo/amazon-kindle-second.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="ban-rg-box-count">
                                        <h5 class="heading-five">
                                            <span id="number4">5.0</span>
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                            <img src="assets/images/star-icon.png" alt="icon">
                                        </h5>
                                        <p>High-rated</p>
                                    </div>
                                    <div class="website-main-buttons">
                                        <a href="tel:<?php echo $locNumber; ?>" class="call-button-new">Call Now</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="slider slider-nav">
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif"
                                    data-src="assets/images/books/fantastic-badtimes.png" alt="book"
                                    class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif" data-src="assets/images/books/hot-stuff.png"
                                    alt="book" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif" data-src="assets/images/books/just-in-case.png"
                                    alt="book" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif" data-src="assets/images/books/auntie-promise.png"
                                    alt="book" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif"
                                    data-src="assets/images/books/fantastic-badtimes.png" alt="book"
                                    class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif" data-src="assets/images/books/hot-stuff.png"
                                    alt="book" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif" data-src="assets/images/books/just-in-case.png"
                                    alt="book" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="portfolio-books-nav">
                                <img src="assets/images/loader.gif" data-src="assets/images/books/auntie-promise.png"
                                    alt="book" class="img-fluid lazyestload myLazy">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Portfolio Section End Here -->

    <!-- About Page Section Start Here -->
    <section class="abt-sec-second-main">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6 col-xxl-6">
                    <div class="abt-second-main-img">
                        <img src="assets/images/loader.gif" data-src="assets/images/about-book-second.png" alt="book"
                            class="img-fluid lazyestload myLazy">
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6 col-xxl-6">
                    <div class="abt-second-content-main">
                        <h6 class="heading-six">ABout FRONTLINE Writers</h6>
                        <h3 class="heading-one">Children's Book Illustration Services</h3>
                        <p>Tellus tristique habitant non orci ante ipsum quis. Donec etiam hac in ultrices sed dictumst. Tellus tristique habitant non orci ante ipsum quis. Donec etiam hac in ultrices sed dictumst. Tellus tristique habitant non orci ante ipsum quis. Donec etiam hac in ultrices sed dictumst. Tellus tristique habitant non orci ante ipsum quis. Donec etiam hac in ultrices sed dictumst.</p>
                        <div class="arrow"></div>
                        <div class="website-main-buttons">
                            <button class="popup-btn" onclick="<?php echo $locChatClick ;?>">
                                Let's Talk
                            </button>
                            <a href="tel:<?php echo $locNumber; ?>"
                                class="call-button-new"><?php echo $locNumber; ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- About Page Section End Here -->

    <!-- Customer FeedBack Section Start Here -->
    <section class="customer-feedback-wrap">
        <div class="container-fluid">
            <div class="customer-feedback-head">
                <h6 class="heading-six">Testimonials</h6>
                <h3 class="heading-one">What Our Clients Say</h3>
            </div>
            <div class="customer-feedback-inner">
                <div class="feedback-inner-head">
                    <div class="feedback-inner-left">
                        <span>4.9</span>
                        <div class="rating-star-icons">
                            <img src="assets/images/loader.gif" data-src="assets/images/star-icon.png" alt="star"
                                class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/loader.gif" data-src="assets/images/star-icon.png" alt="star"
                                class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/loader.gif" data-src="assets/images/star-icon.png" alt="star"
                                class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/loader.gif" data-src="assets/images/star-icon.png" alt="star"
                                class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/loader.gif" data-src="assets/images/star-icon.png" alt="star"
                                class="img-fluid lazyestload myLazy" width="18" height="18">
                        </div>
                        <small>Reviews</small>
                    </div>
                    <div class="feedback-inner-right">
                        <small>Powered By</small>
                        <img src="assets/images/loader.gif" data-src="assets/images/trurstpilot-icon.png"
                            alt="trustpilot" class="img-fluid lazyestload myLazy" width="55" height="15">
                    </div>
                </div>
                <div class="customer-feedback-slider">
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/author-img/author-one.png"
                                    alt="author" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Julia Meyers</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"Frontline Writers transformed my children's story into a visual masterpiece.
                                        Their illustrations brought every character to life, far beyond what I imagined.
                                        Highly recommend it!"</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trurstpilot-icon.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trustpilot-star-icon.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/author-img/author-two.png"
                                    alt="author" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">David Wilson</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"I couldn’t be happier with Frontline Writers' work. Their illustrations captured
                                        the essence of the story and made it so engaging for kids!"</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trurstpilot-icon.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trustpilot-star-icon.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/author-img/author-three.png"
                                    alt="author" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Emma Hastings</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"They understood my vision instantly! Frontline Writers added a magical touch to
                                        my book that made it truly special. Amazing service!"</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trurstpilot-icon.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trustpilot-star-icon.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/author-img/author-four.png"
                                    alt="author" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Kevin Adams</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"Frontline Writers delivered high-quality illustrations right on schedule. Their
                                        creativity made the story even more captivating. Definitely my go-to for future
                                        projects!"</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trurstpilot-icon.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trustpilot-star-icon.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/author-img/author-five.png"
                                    alt="author" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Sarah Perez</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"From start to finish, Frontline Writers were professional, creative, and
                                        communicative. Their illustrations added depth and vibrancy to my book."</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trurstpilot-icon.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trustpilot-star-icon.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/loader.gif" data-src="assets/images/author-img/author-six.png"
                                    alt="author" class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Michael Green</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"I’m so impressed with the level of detail and care Frontline Writers put into my
                                        book. Their work exceeded all expectations!"</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trurstpilot-icon.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/loader.gif"
                                            data-src="assets/images/trustpilot-star-icon.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Customer FeedBack Section End Here -->

    <!--FAQS Question Section Start Here -->
    <section class="faqs-sec-wrap">
        <div class="container">
            <div class="faqs-sec-head">
                <h4 class="heading-one">FAQs</h4>
            </div>
            <div class="row align-items-center">
                <div class="col-xx-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="faqs-sec-item">
                        <div class="accordion" id="accordionExample">
                            <div class="accordion-item">
                                <h5 class="accordion-header" id="headingOne">
                                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        What kind of children’s book illustrations do you specialize in?
                                    </button>
                                </h5>
                                <div id="collapseOne" class="accordion-collapse collapse show"
                                    aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        At Frontline Writers, we specialize in vibrant, imaginative illustrations
                                        tailored to children's stories. Our artists are experienced in various styles,
                                        from whimsical to realistic, ensuring that your vision comes to life in a way
                                        that captivates young readers while aligning with your book's theme and tone.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h5 class="accordion-header" id="headingTwo">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                        Can I choose the illustration style for my book?
                                    </button>
                                </h5>
                                <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        Absolutely! At Frontline Writers, we offer a range of styles to suit your story.
                                        Whether you prefer whimsical, realistic, or cartoon-like illustrations, our team
                                        works closely with you to ensure the visuals match your vision and enhance the
                                        book's message.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h5 class="accordion-header" id="headingThree">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseThree" aria-expanded="false"
                                        aria-controls="collapseThree">
                                        How long does the illustration process take?
                                    </button>
                                </h5>
                                <div id="collapseThree" class="accordion-collapse collapse"
                                    aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        The timeline depends on the complexity and number of illustrations. Typically,
                                        our process takes 4-8 weeks, including concept sketches, revisions, and final
                                        delivery. We provide a clear schedule upfront to keep you informed and ensure
                                        timely completion without compromising quality.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h5 class="accordion-header" id="headingFour">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseFour" aria-expanded="false"
                                        aria-controls="collapseFour">
                                        Do you offer revisions on the illustrations?
                                    </button>
                                </h5>
                                <div id="collapseFour" class="accordion-collapse collapse" aria-labelledby="headingFour"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        Yes, we offer revisions to ensure your complete satisfaction. After the initial
                                        sketches are presented, we provide opportunities for feedback and adjustments.
                                        Our goal at Frontline Writers is to collaborate closely with you to make sure
                                        the final illustrations perfectly capture your story.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item">
                                <h5 class="accordion-header" id="headingFive">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseFive" aria-expanded="false"
                                        aria-controls="collapseFive">
                                        How do I get started with Frontline Writers for my project?
                                    </button>
                                </h5>
                                <div id="collapseFive" class="accordion-collapse collapse" aria-labelledby="headingFive"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        Getting started is easy! Just contact us through our website with details about
                                        your book and your vision for the illustrations. Our team will discuss the
                                        project scope, style preferences, and timeline, providing a clear roadmap to
                                        bring your story to life visually.
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--FAQS Question Section End Here -->



</main>
<?php
include 'includes/footer.php';
$page = 'home';
?>