<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Ghost Writing - Frontline Writers</title>
    <meta name="description"  content="Boost your book's visibility with tailored marketing solutions from Frontline Writers. Reach wider audiences and achieve success.">
    <link rel="canonical" href="https://frontlinewriters.com/lp/children-book-illustration/" />
    <meta name="robots" content="noindex,nofollow">
    <?php include 'includes/sections/variables-file.php'; ?>
    <link rel="shortcut icon" type="image/x-icon" href="assets/images/favicon.webp">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://site-assets.fontawesome.com/releases/v6.2.0/css/all.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@3.5.6/dist/jquery.fancybox.min.css">
    <link rel="stylesheet" type="text/css" href="//cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css">
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <link rel="stylesheet preload" href="assets/css/custom.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.0/dist/jquery.min.js"></script>
    <script async src="https://www.googletagmanager.com/gtag/js?id=AW-11387594472">
    </script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'AW-11387594472');
    </script>
    <script>
    gtag('event', 'conversion', {'send_to': 'AW-11387594472/Cs5yCP-BotgZEOjNg7Yq'});
    </script>
</head>
<body>
    <header class="main-header">
        <div class="container">
            <nav class="navbar navbar-expand-lg">
                <a class="navbar-brand" href="/">
                    <img src="assets/images/logos/logo-main.png" data-src="assets/images/logos/logo-main.png" alt="logo" class="img-fluid logo lazyestload myLazy">
                </a>
                <a href="tel:<?php echo $locNumber; ?>" class="header-btn">
                    <div class="head-icon">
                        <i class="fa-solid fa-phone"></i>
                    </div>
                    <div class="header-btn-cont">
                        <span>Need Help?</span>
                        <h5>Call Us!</h5>
                    </div>
                </a>
            </nav>
        </div>
    </header>