<div class="subscribe__modal">
    <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><i class="fa-solid fa-xmark"></i></button>
                </div>
                <div class="modal-body">
                    <img src="https://frontlinewriters.com/assets/images/discount-modal.png" alt="not found">
                    <h3><span>-50% </span> Discount</h3>
                    <h5>Only For Subscribers</h5>
                    <p>Join our mailing list now</p>
                    <form action="https://leads.infinityprojectmanager.com/brand/frontlinewriters/lead"  method="GET">
                        <input type="hidden" name="brand_name" value="frontlinewriters.com">
                        <input type="hidden" id="lead_area" name="lead_area"  value="https://frontlinewriters.com/">
                        <input type="email" name="email"  placeholder="Email Address" required>
                        <button type="submit">Subscribe</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
.subscribe__modal{
    text-transform:uppercase;
}
.subscribe__modal .modal-content{
    font-family: 'Poppins';
    text-align: center;
    position: relative;
    padding: 0 0;
    background: url(https://frontlinewriters.com/assets/images/modal-banner.jpg);
    border-radius: 5px;
    background-position: 100% 46%;
    border: 2px solid #ffffff;
}

.subscribe__modal .modal-dialog {
    width: 615px;
    min-width: 615px;
}
.subscribe__modal .modal-content .modal-header{
    border: none;
    padding: 0;
}
.subscribe__modal .modal-content .modal-header button{
    position: absolute;
    right: 21px;
    top: 18px;
    background: #1e2321;
    opacity: 1;
    border-radius: 50%;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
}

.subscribe__modal .modal-content .modal-header button i {
    color: #ffffff;
}
.subscribe__modal .modal-content .modal-body{
    text-transform: uppercase;
    padding: 20px 40px 23px;
}
.subscribe__modal .modal-content .modal-body h3{
    margin: 6rem 0 0 0;
    font-weight: 700;
    color: #1e2321;
    text-transform:uppercase;
    font-size: 39px;
}

.subscribe__modal .modal-content .modal-body img {
    position: absolute;
    top: -28%;
    right: 0;
    left: 0;
    margin: 0 auto;
    width: 35%;
}
.subscribe__modal .modal-content .modal-body h5{
    color: #6a6868;
    margin: 15px 0;
    font-size: 36px;
    font-weight: 200;
    padding: 0;
    text-transform:uppercase;
}
.subscribe__modal .modal-content .modal-body p{
    margin: 0;
    font-size: 26px;
    text-transform:uppercase;
    font-weight: 500;
    color: #e0283c;
}
.subscribe__modal .modal-content .modal-body form{
}
.subscribe__modal .modal-content .modal-body form input{
    width: 100%;
    padding: 14px 21px;
    background: #fff;
    margin: 10px 0;
    border-radius: 7px;
    border: 1px solid #beeada;
}
.subscribe__modal .modal-content .modal-body form input::placeholder{}
.subscribe__modal .modal-content .modal-body form button{
    border: none;
    width: 190px;
    background: #1e2321;
    padding: 9px;
    border-radius: 48px;
    color: #fff;
    text-transform: uppercase;
    font-size: 21px;
    font-weight: 500;
    transition: all 0.3s ease-in;
}

.subscribe__modal .modal-content .modal-body form button:hover {
    background: #e0283c;
}

</style>

