<?php
include 'includes/header.php';
$page = 'home';
?>

<main>

    <!-- Banner Section Start Here -->
    <section class="banner-wrap">
        <div class="banner-wrap-main">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-7 col-12" data-aos="fade-right" data-aos-duration="1000">
                        <div class="banner-content-main text-center text-lg-start">
                            <div class="banner-content">
                                <h6 class="heading-six text-uppercase">
                                    FRONTLINE WRITERS
                                </h6>
                                <h1 class="heading-one">
                                Ghostwriters Are Different
                                </h1>
                                <p>
                                Not all writers are built for the job. Ghostwriters step into your shoes, think like you, and write like you.
                                </p>
                            </div>
                            <div class="website-main-buttons d-flex align-items-center gap-3 gap-md-5">
                                <a class="popup-btn" data-bs-toggle="modal" data-bs-target="#staticBackdrop">Get
                                    Started</a>
                                <a href="tel:<?php echo $locNumber; ?>" class="call-btn">Call Now</a>
                            </div>
                            <div
                                class="brands-featured d-flex flex-wrap align-items-center gap-5 justify-content-center justify-content-lg-start">
                                <img src="assets/images/brands/ban-brand-1.png"
                                    data-src="assets/images/brands/ban-brand-1.png" alt="The Washington Post">
                                <img src="assets/images/brands/ban-brand-2.png"
                                    data-src="assets/images/brands/ban-brand-2.png" alt="Inc. Logo">
                                <img src="assets/images/brands/ban-brand-3.png"
                                    data-src="assets/images/brands/ban-brand-3.png" alt="PW Logo">
                                <img src="assets/images/brands/ban-brand-4.png"
                                    data-src="assets/images/brands/ban-brand-4.png" alt="Fox News Logo">
                                <img src="assets/images/brands/ban-brand-5.png"
                                    data-src="assets/images/brands/ban-brand-5.png" alt="The New York Times">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5 col-12" data-aos="fade-left" data-aos-duration="1000">
                        <div class="banner-img">
                            <img src="assets/images/banner/banner-img.png"
                                data-src="assets/images/banner/banner-img.png" alt="Book Image">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Banner Section End Here -->

    <!-- Ready Section Start Here -->
    <section class="ready-sec-wrap">
        <div class="container">
            <div class="row d-flex align-items-center justify-content-between">
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                    <div class="ready-sec-content text-center text-lg-start my-3 my-lg-0">
                        <h4 class="heading-three">Get All the Credit</h4>
                    </div>
                </div>
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                    <div class="ready-sec-content text-center text-lg-start">
                        <p>The right words. The right flow. The right feel. We bring all and make it work. Start to finish, we’re here to turn your thoughts into a book worth reading.</p>
                        <div class="group_btn">
                        <div class="website-main-buttons">
                            <button class="popup-btn" data-bs-toggle="modal" data-bs-target="#staticBackdrop">Get
                                Started</button>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Ready Section End Here -->

    <!-- Browse Books Section Start Here -->
    <section class="browse-books-wrap">
        <div class="container" data-aos="zoom-in" data-aos-duration="1000">
            <div class="browse-books-head">
                <h2 class="heading-two">Authors Epic Debut with Frontline Writers</h2>
            </div>
            <div class="browse-books-inner">
                <div class="browse-books-slider">
                    <div class="browse-books-box">
                        <img src="assets/images/browse-books/001.png" alt="img" class="img-fluid">
                        <div class="browse-box-content">
                            <p>NYT Bestseller by Producers of NBC’s The Office</p>
                        </div>
                    </div>
                    <div class="browse-books-box">
                        <img src="assets/images/browse-books/002.png" alt="img" class="img-fluid">
                        <div class="browse-box-content">
                            <p><span>#1</span> national and WSJ bestseller</p>
                        </div>
                    </div>
                    <div class="browse-books-box">
                        <img src="assets/images/browse-books/003.png" alt="img" class="img-fluid">
                        <div class="browse-box-content">
                            <p><span>#1</span> NYT Bestseller with <span>3,000,000+</span> Copies Sold</p>
                        </div>
                    </div>
                    <div class="browse-books-box">
                        <img src="assets/images/browse-books/004.png" alt="img" class="img-fluid">
                        <div class="browse-box-content">
                            <p>NYT Bestseller by Producers of NBC’s The Office</p>
                        </div>
                    </div>
                    <div class="browse-books-box">
                        <img src="assets/images/browse-books/005.png" alt="img" class="img-fluid">
                        <div class="browse-box-content">
                            <p>NYT Bestseller by Producers of NBC’s The Office</p>
                        </div>
                    </div>
                    <div class="browse-books-box">
                        <img src="assets/images/browse-books/006.png" alt="img" class="img-fluid">
                        <div class="browse-box-content">
                            <p>NYT Bestseller by Producers of NBC’s The Office</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Browse Books Section End Here -->

    <!-- Brand Logos Section Start Here -->
    <section class="brand-logos-wrap">
        <div class="container">
            <div class="brand-logos-inner" data-aos="zoom-in" data-aos-duration="1000">
                <div class="brand-logos-items">
                    <div class="brand-items-img">
                        <img src="assets/images/brand-logos/brands-logo-1.png"
                            data-src="assets/images/brand-logos/brands-logo-1.png" alt="Harper Collins"
                            class="img-fluid">
                    </div>
                    <div class="brand-items-img">
                        <img src="assets/images/brand-logos/brands-logo-2.png"
                            data-src="assets/images/brand-logos/brands-logo-2.png" alt="Hachette" class="img-fluid">
                    </div>
                    <div class="brand-items-img">
                        <img src="assets/images/brand-logos/brands-logo-3.png"
                            data-src="assets/images/brand-logos/brands-logo-3.png" alt="Macmillan" class="img-fluid">
                    </div>
                    <div class="brand-items-img">
                        <img src="assets/images/brand-logos/brands-logo-4.png"
                            data-src="assets/images/brand-logos/brands-logo-4.png" alt="Harper Collins"
                            class="img-fluid">
                    </div>
                    <div class="brand-items-img">
                        <img src="assets/images/brand-logos/brands-logo-5.png"
                            data-src="assets/images/brand-logos/brands-logo-5.png" alt="Hachette" class="img-fluid">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Brand Logos Section End Here -->

    <!-- Counter Satisfy Section Start Here -->
    <section class="counter-satisfy-wrap">
        <div class="container">
            <div class="counter-satisfy-inner flex-wrap gap-4" data-aos="zoom-out" data-aos-duration="1000">
                <div class="counter-satisfy-box">
                    <div class="counter-box-head">
                        <h4 class="heading-two"><span id="number1">200</span>+</h4>
                    </div>
                    <p>New York Times <br> Bestsellers</p>
                </div>
                <div class="counter-satisfy-box">
                    <div class="counter-box-head">
                        <h4 class="heading-two"><span id="number2">310</span>+</h4>
                    </div>
                    <p>National <br> Bestsellers</p>
                </div>
                <div class="counter-satisfy-box">
                    <div class="counter-box-head">
                        <h4 class="heading-two"><span id="number3">1373</span>+</h4>
                    </div>
                    <p>New Authors <br> Launched</p>
                </div>
                <div class="counter-satisfy-box">
                    <div class="counter-box-head">
                        <h4 class="heading-two"><span id="number4">100</span>Mil</h4>
                    </div>
                    <p>Books Sold</p>
                </div>
            </div>
        </div>
    </section>
    <!-- Counter Satisfy Section End Here -->

    <!-- Writing Service Section Start Here -->
    <section class="writing-service-wrap">
        <div class="container" data-aos="zoom-in" data-aos-duration="1000">
            <div class="writing-service-head">
                <h2 class="heading-three">Not Just Limited to Ghostwriting</h2>
            </div>
            <div class="writing-service-inner">
                <div class="row">
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/fiction.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Fiction & Non-fiction Editing</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/children-book.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Children's Book Editing</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/tailored-strategy.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Tailored Strategy</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/book-review.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Book Review Consultation</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/critical-review.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Critical Review & Analysis</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/devlopment-edit.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Developmental Editing</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="writing-service-inner writing-service-inner2">
                <div class="row">
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/line-edit.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Line Editing</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/copy-editing.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Copy Editing</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/ghostwriting.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Ghostwriting & Rewriting</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/cultural.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Cultural Accuracy</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/navigation.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Publishing Navigation</p>
                            </a>
                        </div>
                    </div>
                    <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-6 p-0">
                        <div class="writing-service-item">
                            <a href="void:;">
                                <div class="writing-service-icon">
                                    <img src="assets/images/writing-service-icon/direct-publish.svg" alt="img"
                                        class="img-fluid">
                                </div>
                                <p>Direct Submissions to Publishers</p>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Writing Service Section End Here -->

    <!-- CTA Section Start Here -->
    <section class="cta-wrap">
        <div class="cta-wrap-main">
            <div class="container">
                <div class="row justify-content-center align-items-center">
                    <div class="col-xl-6 col-lg-6 col-12" data-aos="fade-left" data-aos-duration="1000">
                        <div class="cta-img">
                            <img src="assets/images/cta/cta-img.png" alt="cta">
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-12" data-aos="fade-left" data-aos-duration="1000">
                        <div class="cta-content text-center text-lg-start">
                            <h2 class="heading-two">
                            A pro ghostwriter doesn’t just fill in blanks
                            </h2>
                            <p>
                            You get more than help, you get direction, clarity, and a finished book that feels effortless to read.
                            </p>
                            <div class="cta-arrow-element d-flex justify-content-start">
                                <img src="assets/images/elements/cta-arrow.png"
                                    data-src="assets/images/elements/cta-arrow.png" alt="Right Arrow">
                            </div>
                            <div class="d-flex justify-content-start group_btn">
                                <div class="website-main-buttons d-flex align-items-center py-5">
                                    <a class="popup-btn" data-bs-toggle="modal" data-bs-target="#staticBackdrop">Let’s
                                        Talk</a>
                                </div>
                                <div class="website-main-buttons d-flex align-items-center py-5 mx-4">
                                    <a class="popup-btn blu" data-bs-toggle="modal" data-bs-target="#staticBackdrop">Call Now</a>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
    <!-- CTA Section End Here -->

    <!-- About Section Start Here -->
    <section class="about-wrap">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-7 col-12" data-aos="fade-right" data-aos-duration="1000">
                    <div class="about-content text-center text-lg-start">
                        <h6 class="heading-six text-uppercase">
                        Why Opt for Frontline
                        </h6>
                        <h2 class="heading-two">
                        Fiction Books Services
                        </h2>
                        <div class="row row-gap-5">
                            <div class="col-lg-6 col-12">
                                <div class="about-box">
                                    <h3 class="heading-three">
                                    We Get You
                                    </h3>
                                    <p>Your ideas matter, and we’re here to help shape them into a story that feels yours, authentic, and true to your voice.</p>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="about-box">
                                    <h3 class="heading-three">
                                    Easy Process
                                    </h3>
                                    <p>Writing doesn’t have to feel overwhelming. We keep it simple and guide you step by step so you always know what’s next.</p>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="about-box">
                                    <h3 class="heading-three">
                                    True to Your Voice
                                    </h3>
                                    <p>Your story should sound like you. We keep your tone, style, and message intact, making sure it feels genuine and true.</p>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="about-box">
                                    <h3 class="heading-three">
                                    We’re Flexible
                                    </h3>
                                    <p>Your timeline, your pace. We adjust to what works best for you, keeping things smooth and stress-free.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-5 col-12" data-aos="fade-left" data-aos-duration="1000">
                    <div class="about-img">
                        <img src="assets/images/about/about-img.png" data-src="assets/images/about/about-img.png"
                            alt="Books">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- About Section End Here -->

    <!-- Customer FeedBack Section Start Here -->
    <section class="customer-feedback-wrap">
        <div class="container-fluid">
            <div class="customer-feedback-head" data-aos="zoom-in" data-aos-duration="1000">
                <h6 class="heading-six text-uppercase">Testimonials</h6>
                <h3 class="heading-one">This Part Speaks for Us​</h3>
            </div>
            <div class="customer-feedback-inner" data-aos="zoom-in" data-aos-duration="1000">
                <div class="feedback-inner-head">
                    <div class="feedback-inner-left">
                        <span>4.9</span>
                        <div class="rating-star-icons">
                            <img src="assets/images/icons/star-icon.png" data-src="assets/images/icons/star-icon.png"
                                alt="star" class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/icons/star-icon.png" data-src="assets/images/icons/star-icon.png"
                                alt="star" class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/icons/star-icon.png" data-src="assets/images/icons/star-icon.png"
                                alt="star" class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/icons/star-icon.png" data-src="assets/images/icons/star-icon.png"
                                alt="star" class="img-fluid lazyestload myLazy" width="18" height="18">
                            <img src="assets/images/icons/star-icon.png" data-src="assets/images/icons/star-icon.png"
                                alt="star" class="img-fluid lazyestload myLazy" width="18" height="18">
                        </div>
                        <small>Reviews</small>
                    </div>
                    <div class="feedback-inner-right">
                        <small>Powered By</small>
                        <img src="assets/images/icons/trustpilot-icon-1.png"
                            data-src="assets/images/icons/trustpilot-icon-1.png" alt="trustpilot"
                            class="img-fluid lazyestload myLazy" width="55" height="15">
                    </div>
                </div>
                <div class="customer-feedback-slider">
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/testimonials/author-img/author-1.png"
                                    data-src="assets/images/testimonials/author-img/author-1.png" alt="author"
                                    class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">David Morgan</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"I had an idea for a book but didn’t know where to start. The team really brought my vision to life in a way I never could’ve done alone. The writing felt like me, just way better. So happy with how it turned out."</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/icons/trustpilot-icon-2.png"
                                            data-src="assets/images/icons/trustpilot-icon-2.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/icons/trustpilot-stars.png"
                                            data-src="assets/images/icons/trustpilot-stars.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/testimonials/author-img/author-2.png"
                                    data-src="assets/images/testimonials/author-img/author-2.png" alt="author"
                                    class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Emma Wilson</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"I was stuck on a project and needed help finishing my book. The ghostwriting service was a game changer. They got my voice, understood my style, and made everything flow perfectly. Couldn’t have asked for a better experience."</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/icons/trustpilot-icon-2.png"
                                            data-src="assets/images/icons/trustpilot-icon-2.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/icons/trustpilot-stars.png"
                                            data-src="assets/images/icons/trustpilot-stars.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/testimonials/author-img/author-3.png"
                                    data-src="assets/images/testimonials/author-img/author-3.png" alt="author"
                                    class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">John Hastings</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"Wasn’t sure if I should go for ghostwriting, but now I’m glad I did. The writing was spot on, and they took the time to understand what I wanted. It felt like I wrote it myself, just smoother and more polished."</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/icons/trustpilot-icon-2.png"
                                            data-src="assets/images/icons/trustpilot-icon-2.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/icons/trustpilot-stars.png"
                                            data-src="assets/images/icons/trustpilot-stars.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="feedback-slider-box">
                        <div class="feedback-slider-flx">
                            <div class="feedbacl-author-img">
                                <img src="assets/images/testimonials/author-img/author-4.png"
                                    data-src="assets/images/testimonials/author-img/author-4.png" alt="author"
                                    class="img-fluid lazyestload myLazy">
                            </div>
                            <div class="feedback-slider-detail">
                                <div class="feedback-autor-name">
                                    <h5 class="heading-five">Kevin Adams</h5>
                                </div>
                                <div class="feedback-slider-content">
                                    <p>"I’ve always wanted to write a book but didn’t know how. Working with this team was so easy. They helped shape my ideas, and the end result felt 100% me. Definitely worth it."</p>
                                </div>
                                <div class="feedback-slider-icon-flex">
                                    <div class="feedback-trustpilot-icon">
                                        <img src="assets/images/icons/trustpilot-icon-2.png"
                                            data-src="assets/images/icons/trustpilot-icon-2.png" alt="icon"
                                            class="img-fluid lazyestload myLazy">
                                        <img src="assets/images/icons/trustpilot-stars.png"
                                            data-src="assets/images/icons/trustpilot-stars.png" alt="star-icon"
                                            class="img-fluid lazyestload myLazy">
                                    </div>
                                    <div class="feedback-slider-btm-content">
                                        <p>Rated 4.5/5.0</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Customer FeedBack Section End Here -->

    <!--FAQS Question Section Start Here -->
    <section class="faqs-sec-wrap">
        <div class="container">
            <div class="faqs-sec-head" data-aos="zoom-in" data-aos-duration="1000">
                <h4 class="heading-one">Queries You Might Have</h4>
            </div>
            <div class="row align-items-center">
                <div class="col-xx-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="faqs-sec-item">
                        <div class="accordion" id="accordionExample">
                            <div class="accordion-item" data-aos="fade-up" data-aos-duration="1000">
                                <h5 class="accordion-header" id="headingOne">
                                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        What is ghostwriting, exactly?
                                    </button>
                                </h5>
                                <div id="collapseOne" class="accordion-collapse collapse show"
                                    aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                    It’s pretty simple. You’ve got the idea, the story, or maybe just the dream of a book, but you’re stuck. Maybe there’s no time to write, or maybe writing just isn’t your thing. That’s where we come in. We’ll do the writing for you, exactly how you want it.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item" data-aos="fade-up" data-aos-duration="1000">
                                <h5 class="accordion-header" id="headingTwo">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                        Will the writing actually sound like me?
                                    </button>
                                </h5>
                                <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                    Yeah, that’s the whole point. Before we even start, we’ll get to know you, your tone, your style, even your quirks. If you’re formal, we’ll keep it polished. If you’re casual, we’ll make it easygoing. You’re still the voice behind the story. We’re just the ones making sure it reads as smooth and sharp as it should.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item" data-aos="fade-up" data-aos-duration="1000">
                                <h5 class="accordion-header" id="headingThree">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseThree" aria-expanded="false"
                                        aria-controls="collapseThree">
                                        Do I own the final work?
                                    </button>
                                </h5>
                                <div id="collapseThree" class="accordion-collapse collapse"
                                    aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                    100% yes. Everything we write for you is yours to keep. You own the rights, the credit, everything. We don’t claim it or sneak around with fine print. Once it’s done, we hand it over, and you run with it. We’re just happy to be the invisible team in the background.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item" data-aos="fade-up" data-aos-duration="1000">
                                <h5 class="accordion-header" id="headingFour">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseFour" aria-expanded="false"
                                        aria-controls="collapseFour">
                                        Can I trust you to keep everything private?
                                    </button>
                                </h5>
                                <div id="collapseFour" class="accordion-collapse collapse" aria-labelledby="headingFour"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                    Absolutely. Your ideas, your story it stays between us. No one’s going to hear about it from us, and we definitely won’t use it anywhere else. We’re all about building trust here. So, consider your work safe, locked, and only yours to share.
                                    </div>
                                </div>
                            </div>
                            <div class="accordion-item" data-aos="fade-up" data-aos-duration="1000">
                                <h5 class="accordion-header" id="headingFive">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#collapseFive" aria-expanded="false"
                                        aria-controls="collapseFive">
                                        What if I don’t like what you write?
                                    </button>
                                </h5>
                                <div id="collapseFive" class="accordion-collapse collapse" aria-labelledby="headingFive"
                                    data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                    It happens sometimes, and that’s okay. We’ll go back, take your feedback, and tweak it until you’re happy. Edits, rewrites, whatever it takes. At the end of the day, it’s your story, and we want you to feel proud of it. No cutting corners, no halfway fixes.
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--FAQS Question Section End Here -->

</main>

<?php
include 'includes/footer.php';
$page = 'home';
?>